'Nome       : StcLisMov.sql
'Tipo       : SQL
'Data       : 2013/05/07
'Versao     : 1.0a
'Descricao  : Lista de movimentos

'==============================================================================
'#VER - Historia de modificacoes
'==============================================================================
'- Versao : 1.0a  ____/__/__ --------------------------------------------------
'Correccao do SQL para nome do artigo (usar tabela corrente)

'- Versao : 1.0   2012/06/12 --------------------------------------------------
'Versao base


'==============================================================================
#DEF - Definicao global do documento
'==============================================================================
Caracteres invalidos             [CarInv]=#
Subtotalizadores                 [SbtNiv]=5
##


'==============================================================================
#ESP - Campos especificos
'==============================================================================
##


'==============================================================================
#SQL - Comandos SQL
'==============================================================================
Base de dados           [BD]=EmpFic$("EMP","Cemp,Emp_Dat.mdb")
'Base de dados           [BD]=EmpFic$("EMP","Stc,Stc.mdb")


'------------------------------------------------------------------------------
'- generico -------------------------------------------------------------------
'------------------------------------------------------------------------------
Nome do artigo [Cmd]=ArtNom=+
   +SELECT Nome1$ as [NOME$] +
   +FROM {TB_StcMst} +
   +WHERE Art$ = '{ART.COD}'


'------------------------------------------------------------------------------
'- Vendas por Artigo/Conta ----------------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=LisVndArtCtu=+
   +SELECT MOV.* +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Tdoc$   BETWEEN '{Opc_Tdoc.Ini}'  AND '{Opc_Tdoc.Fim}' +
   +AND   Ndoc$   BETWEEN '{Opc_Ndoc.Ini}'  AND '{Opc_Ndoc.Fim}' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +ORDER BY Art$, Ct$, Tdoc$, Ndoc$


'------------------------------------------------------------------------------
'- Vendas por Conta/Artigo ----------------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=LisVndCtuArt=+
   +SELECT MOV.* +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Tdoc$   BETWEEN '{Opc_Tdoc.Ini}'  AND '{Opc_Tdoc.Fim}' +
   +AND   Ndoc$   BETWEEN '{Opc_Ndoc.Ini}'  AND '{Opc_Ndoc.Fim}' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +ORDER BY Ct$, Art$, Tdoc$, Ndoc$


'------------------------------------------------------------------------------
'- Vendas por Conta/Documento/Artigo ----------------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=LisVndCtuDocArt=+
   +SELECT MOV.* +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Tdoc$   BETWEEN '{Opc_Tdoc.Ini}'  AND '{Opc_Tdoc.Fim}' +
   +AND   Ndoc$   BETWEEN '{Opc_Ndoc.Ini}'  AND '{Opc_Ndoc.Fim}' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +ORDER BY Ct$, Tdoc$, Ndoc$, Art$


'------------------------------------------------------------------------------
'- Vendas por Vendedor/Conta --------------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=LisVndVndCtu=+
   +SELECT MOV.* +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Tdoc$   BETWEEN '{Opc_Tdoc.Ini}'  AND '{Opc_Tdoc.Fim}' +
   +AND   Ndoc$   BETWEEN '{Opc_Ndoc.Ini}'  AND '{Opc_Ndoc.Fim}' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +ORDER BY Vend, Ct$, Tdoc$, Ndoc$


'------------------------------------------------------------------------------
'- Vendas por Vendedor/Artigo -------------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=LisVndVndArt=+
   +SELECT MOV.* +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Tdoc$   BETWEEN '{Opc_Tdoc.Ini}'  AND '{Opc_Tdoc.Fim}' +
   +AND   Ndoc$   BETWEEN '{Opc_Ndoc.Ini}'  AND '{Opc_Ndoc.Fim}' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +ORDER BY Vend, Art$, Tdoc$, Ndoc$


'------------------------------------------------------------------------------
'- Vendas por Vendedor/Conta/Artigo -------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=LisVndVndCtuArt=+
   +SELECT MOV.* +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Tdoc$   BETWEEN '{Opc_Tdoc.Ini}'  AND '{Opc_Tdoc.Fim}' +
   +AND   Ndoc$   BETWEEN '{Opc_Ndoc.Ini}'  AND '{Opc_Ndoc.Fim}' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +ORDER BY Vend, Ct$, Art$, Tdoc$, Ndoc$


'------------------------------------------------------------------------------
'- Vendas por Vendedor/Artigo/Conta -------------------------------------------
'------------------------------------------------------------------------------
Gerar registos      [Cmd]=LisVndVndArtCtu=+
   +SELECT MOV.* +
   +FROM StcMov{Ano} AS MOV +
   +LEFT JOIN StcCmvMap AS MAP ON MOV.Cmv = MAP.Cmv +
   +WHERE RecVal <> 255 +
   +AND   VndUsa$ = 'S' +
   +AND   Tdoc$   BETWEEN '{Opc_Tdoc.Ini}'  AND '{Opc_Tdoc.Fim}' +
   +AND   Ndoc$   BETWEEN '{Opc_Ndoc.Ini}'  AND '{Opc_Ndoc.Fim}' +
   +AND   Ct$     BETWEEN '{Opc_Ct.Ini}'    AND '{Opc_Ct.Fim}' +
   +AND   Art$    BETWEEN '{Opc_Art.Ini}'   AND '{Opc_Art.Fim}' +
   +AND   Dtl     BETWEEN  {Opc_Dtl.Ini}    AND  {Opc_Dtl.Fim} +
   +AND   ArzSai  BETWEEN  {Opc_ArzSai.Ini} AND  {Opc_ArzSai.Fim} +
   +AND   Vend    BETWEEN  {Opc_Vnd.Ini}    AND  {Opc_Vnd.Fim} +
   +ORDER BY Vend, Art$, Ct$, Tdoc$, Ndoc$

##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=VndArtCtu,Vendas Por Artigo/Conta

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=132
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=VndArtCtu_Cab
Listar linhas               [FxLIN]=VndArtCtu_Lin
Listar fim                  [FxFIM]=VndArtCtu_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=LisVndArtCtu
Subtotalizadores           [SQLSbt]=Art$,Ct$
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=VndCtuArt,Vendas Por Conta/Artigo

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=132
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=VndCtuArt_Cab
Listar linhas               [FxLIN]=VndCtuArt_Lin
Listar fim                  [FxFIM]=VndCtuArt_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=LisVndCtuArt
Limites a usar             [SQLLim]=DOC,CT,ART,DTL,ArzSai,Vnd
Subtotalizadores           [SQLSbt]=Ct$,Art$
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=VndCtuDocArt,Vendas Por Conta/Doc/Artigo

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=132
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=VndCtuDocArt_Cab
Listar linhas               [FxLIN]=VndCtuDocArt_Lin
Listar fim                  [FxFIM]=VndCtuDocArt_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=LisVndCtuDocArt
Limites a usar             [SQLLim]=DOC,CT,ART,DTL,ArzSai,Vnd
Subtotalizadores           [SQLSbt]=Ct$,Tdoc$,Ndoc$,Art$
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=VndVndCtu,Vendas Por Vendedor/Conta

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=132
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=VndVndCtu_Cab
Listar linhas               [FxLIN]=VndVndCtu_Lin
Listar fim                  [FxFIM]=VndVndCtu_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=LisVndVndCtu
Subtotalizadores           [SQLSbt]=Vend,Ct$
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=VndVndArt,Vendas Por Vendedor/Artigo

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=132
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=VndVndArt_Cab
Listar linhas               [FxLIN]=VndVndArt_Lin
Listar fim                  [FxFIM]=VndVndArt_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=LisVndVndArt
Subtotalizadores           [SQLSbt]=Vend,Art$
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=VndVndCtuArt,Vendas Por Vendedor/Conta/Artigo

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=132
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=VndVndCtuArt_Cab
Listar linhas               [FxLIN]=VndVndCtuArt_Lin
Listar fim                  [FxFIM]=VndVndCtuArt_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=LisVndVndCtuArt
Subtotalizadores           [SQLSbt]=Vend,Ct$,Art$
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=VndVndArtCtu,Vendas Por Vendedor/Artigo/Conta

'formato
Saida/Impressora           [DocPrt]=
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=132
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Listar cabecalho            [FxCAB]=VndVndArtCtu_Cab
Listar linhas               [FxLIN]=VndVndArtCtu_Lin
Listar fim                  [FxFIM]=VndVndArtCtu_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=LisVndVndArtCtu
Subtotalizadores           [SQLSbt]=Vend,Art$,Ct$
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndArtCtu,XLS - Vendas Por Artigo/Conta

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndArtCtu
Listar cabecalho            [FxCAB]=XlsVndArtCtu_Cab
Listar linhas               [FxLIN]=XlsVndArtCtu_Lin
Listar fim                  [FxFIM]=XlsVndArtCtu_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=LisVndArtCtu
Subtotalizadores           [SQLSbt]=Art$,Ct$

Matriz auxiliar            [DocMat]=StcLisMov.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndCtuArt,XLS - Vendas Por Conta/Artigo

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndCtuArt
Listar cabecalho            [FxCAB]=XlsVndCtuArt_Cab
Listar linhas               [FxLIN]=XlsVndCtuArt_Lin
Listar fim                  [FxFIM]=XlsVndCtuArt_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=LisVndCtuArt
Subtotalizadores           [SQLSbt]=Ct$,Art$

Matriz auxiliar            [DocMat]=StcLisMov.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndCtuDocArt,XLS - Vendas Por Conta/Doc/Artigo

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndCtuDocArt
Listar cabecalho            [FxCAB]=XlsVndCtuDocArt_Cab
Listar linhas               [FxLIN]=XlsVndCtuDocArt_Lin
Listar fim                  [FxFIM]=XlsVndCtuDocArt_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=LisVndCtuDocArt
Subtotalizadores           [SQLSbt]=Ct$,Tdoc$,Ndoc$,Art$

Matriz auxiliar            [DocMat]=StcLisMov.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndVndCtu,XLS - Vendas Por Vendedor/Conta

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndVndCtu
Listar cabecalho            [FxCAB]=XlsVndVndCtu_Cab
Listar linhas               [FxLIN]=XlsVndVndCtu_Lin
Listar fim                  [FxFIM]=XlsVndVndCtu_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=LisVndVndCtu
Subtotalizadores           [SQLSbt]=Vend,Ct$

Matriz auxiliar            [DocMat]=StcLisMov.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndVndArt,XLS - Vendas Por Vendedor/Artigo

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndVndArt
Listar cabecalho            [FxCAB]=XlsVndVndArt_Cab
Listar linhas               [FxLIN]=XlsVndVndArt_Lin
Listar fim                  [FxFIM]=XlsVndVndArt_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=LisVndVndArt
Subtotalizadores           [SQLSbt]=Vend,Art$

Matriz auxiliar            [DocMat]=StcLisMov.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndVndCtuArt,XLS - Vendas Por Vendedor/Conta/Artigo

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndVndCtuArt
Listar cabecalho            [FxCAB]=XlsVndVndCtuArt_Cab
Listar linhas               [FxLIN]=XlsVndVndCtuArt_Lin
Listar fim                  [FxFIM]=XlsVndVndCtuArt_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=LisVndVndCtuArt
Subtotalizadores           [SQLSbt]=Vend,Ct$,Art$

Matriz auxiliar            [DocMat]=StcLisMov.xls
##


'==============================================================================
#DOC - Configuracao do documento
'==============================================================================
Tipo                       [DocTip]=SQL
Nome                       [DocNom]=XlsVndVndArtCtu,XLS - Vendas Por Vendedor/Artigo/Conta

'formato
Saida/Impressora           [DocPrt]=NULA
Linhas por pagina          [DocLpg]=50
Colunas por linha          [DocCol]=78
Formato do papel           [DocPap]=72L
Ajustar pagina             [DocApg]=0
Especifico do documento    [DocEsp]=

'funcoes de listagem
Base para documento         [FxDOC]=XlsVndVndArtCtu
Listar cabecalho            [FxCAB]=XlsVndVndArtCtu_Cab
Listar linhas               [FxLIN]=XlsVndVndArtCtu_Lin
Listar fim                  [FxFIM]=XlsVndVndArtCtu_Fim

'controlo de listagem SQL
Gerador de dados a listar  [SQLDat]=LisVndVndArtCtu
Subtotalizadores           [SQLSbt]=Vend,Art$,Ct$

Matriz auxiliar            [DocMat]=StcLisMov.xls
##


'==============================================================================
#VAR - Variaveis
'==============================================================================
Tipo     = MemTxt$(1)
Pag      = Doc_CntPag
Tit080   = TxTit$("TT=10CPI, LD, PT=40C",Memtxt$(1))
Tit132   = TxTit$("TT=16CPI, LD, PT=66C",Memtxt$(1))
DataExt  = FrmVal$(Sig_DtHoje,45,0)

'- dados a listar -------------------------------------------------------------
vaEntCod = entCod$                              'entidade - codigo
vaEntCov = entCov$                              'entidade - codigo formatado
vaEntIde = entIde$                              'entidade - identificacao

vaObs    = usaObs$                              'observacaoes

'documento
vaMovTdo = movTdo$                              'tipo de documento
vaMovNdo = movNdo$                              'numero de documento
vaMovDoc = movDoc$                              'documento
vaMovDtl = FrmDt$("",docDtl)                    'data

'artigo
vaArtCod = artCod$                              'codigo
vaArtCov = artCov$                              'codigo formatado
vaArtNom = artNom$                              'nome

'conta
vaCtCod   = CTA_MST_Ct$                         'codigo da conta
vaCtNom   = CTA_MST_Nome$                       'nome

'armazem
'vaArz    = arzCtx$                              'codigo - espaco reduzido
vaArz    = FrmNum$(6,arzCod)                    'codigo - espaco reduzido
vaArzCod = arzCod$                              'codigo
vaArzCov = arzCov$                              'codigo formatado
vaArzNom = arzNom$                              'nome

'vendedor
'vaVnd    = vndCtx$                              'codigo - espaco reduzido
vaVnd    = FrmNum$(6,vndCod)                    'codigo - espaco reduzido
vaVndCod = vndCod$                              'codigo
vaVndCov = vndCov$                              'codigo formatado
vaVndNom = vndNom$                              'nome

'quantidade/valor
vaMovQu  = FrmNum$(6.3,movQua)                  'quantidade
vaMovVt  = FrmNum$(12.2,movVto)                 'valor

'- diversos -------------------------------------------------------------------
vaIdeSbt  = ideSbt$                             'identificacao de subtotal

'contagem
toNrg    = FrmNum$(9.0,TotCnt("vaEntCov",0))    'numero de registos - total
s1Nrg    = FrmNum$(9.0,TotCnt("vaEntCov",1))    'numero de registos - subtotal 1
s2Nrg    = FrmNum$(9.0,TotCnt("vaEntCov",2))    'numero de registos - subtotal 2
s3Nrg    = FrmNum$(9.0,TotCnt("vaEntCov",3))    'numero de registos - subtotal 3
s4Nrg    = FrmNum$(9.0,TotCnt("vaEntCov",4))    'numero de registos - subtotal 4

'quantidade/valor
toMovQu  = FrmNum$(6.3,Total("vaMovQu",0))      'quantidade - total
s1MovQu  = FrmNum$(6.3,Total("vaMovQu",1))      'quantidade - subtotal 1
s2MovQu  = FrmNum$(6.3,Total("vaMovQu",2))      'quantidade - subtotal 2
s3MovQu  = FrmNum$(6.3,Total("vaMovQu",3))      'quantidade - subtotal 3
s4MovQu  = FrmNum$(6.3,Total("vaMovQu",4))      'quantidade - subtotal 4

toMovVt  = FrmNum$(12.2,Total("vaMovVt",0))     'valor - total
s1MovVt  = FrmNum$(12.2,Total("vaMovVt",1))     'valor - subtotal 1
s2MovVt  = FrmNum$(12.2,Total("vaMovVt",2))     'valor - subtotal 2
s3MovVt  = FrmNum$(12.2,Total("vaMovVt",3))     'valor - subtotal 3
s4MovVt  = FrmNum$(12.2,Total("vaMovVt",4))     'valor - subtotal 4
##


'==============================================================================
#PGM - Programa/Funcoes
'==============================================================================
'- +--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+--+
'- (13) --->'Comentario
'- (25) --------------->'Comentario
'- (28) ------------------>'Comentario
'- (40) ------------------------------>'Comentario
'- (43) --------------------------------->'Comentario
'- (46) ------------------------------------>'Comentario
'- (49) --------------------------------------->'Comentario
'- (52) ------------------------------------------>'Comentario
'- (55) --------------------------------------------->'Comentario
'- (58) ------------------------------------------------>'Comentario
'- (61) --------------------------------------------------->'Comentario
'- (64) ------------------------------------------------------>'Comentario
'- (67) --------------------------------------------------------->'Comentario
'- (70) ------------------------------------------------------------>'Comentario


Sub FxIni 'funcao de inicializacao
'nada a excutar
end sub


Sub FxFim 'funcao de finalizacao
'nada a excutar
end sub


Sub Lst_AJT 'ajuste
'nada a excutar
end sub


'=============================================================================
'- Comum ---------------------------------------------------------------------
'=============================================================================
'-----------------------------------------------------------------------------
'- [VAR] - Variaveis ---------------------------------------------------------
'-----------------------------------------------------------------------------
Sub Com_Var_Con 'consultar variaveis
docTdo$ = SqlCmp$("TDOC$")                         'tipo de documento
docNdo$ = SqlCmp$("NDOC$")                         'numero de documento
docDtl  = SqlCmp("DTL")                            'data do documento

artCod$ = SqlCmp$("ART$")                          'artigo
ctuCod$ = SqlCmp$("CT$")                           'conta

arzCod  = SqlCmp("ARZSAI")                         'armazem
vndCod  = SqlCmp("VEND")                           'vendedor

movQua  = SqlCmp("QU")                             'quantidade
movVto  = SqlCmp("VT")                             'valor

movTdo$ = docTdo$                                  'tipo de documento
movNdo$ = FrmNdo$("46", docTdo$, docNdo$)          'numero de documento
movDoc$ = movTdo$ + " " + movNdo$                  'documento
end sub


Sub Com_Var_Prp 'preparar variaveis
usaObs$ = ""                                       'anular observacoes
call Com_Var_Con                                   'consultar variaveis

'preparar valores
call Com_Var_PrpArt                                'preparar variaveis - artigo
call Com_Var_PrpArz                                'preparar variaveis - armazem
call Com_Var_PrpVnd                                'preparar variaveis - vendedor
call Com_Var_PrpCtu                                'preparar variaveis - conta
call Com_Var_PrpDoc                                'preparar variaveis - documento
end sub


Sub Com_Var_PrpArt 'preparar variaveis - artigo
res     = SqlOpcAct("Art.Cod",artCod$)             'registar artigo
res     = SqlCalc("ARTNOM")                        'preparar nome do artigo

artCov$ = StcCodFrm$(artCod$)                      'codigo formatado
artNom$ = SqlOpcCon$("NOME$")                      'nome
artIde$ = artCov$ + " - " + artNom$                'identificacao
end sub


Sub Com_Var_PrpArz 'preparar variaveis - armazem
arzCtx$ = TxtCv$(arzCod)                           'codigo em texto
arzCov$ = NumTxt$(arzCod, 2)                       'codigo formatado
arzNom$ = "Armazem " + arzCov$                     'nome
arzIde$ = "Armazem " + arzCov$                     'identificacao
end sub


Sub Com_Var_PrpVnd 'preparar variaveis - vendedor
vndCtx$ = TxtCv$(vndCod)                           'codigo em texto
vndCov$ = NumTxt$(vndCod, 2)                       'codigo formatado
vndNom$ = EmpTabCon$("VEND", vndCod, "NOME")       'nome
vndIde$ = vndCov$ + " - " + vndNom$                'identificacao
end sub


Sub Com_Var_PrpCtu 'preparar variaveis - conta
res  = CtaContaLer(ctuCod$)                        'preparar dados da conta

'msgbox "",ctuCod$,res

ctuCov$ = CTA_MST_Ct$                              'codigo formatado
ctuNom$ = CTA_MST_Nome$                            'nome
ctuIde$ = ctuCov$ + " - " + ctuNom$                'identificacao
end sub


Sub Com_Var_PrpDoc 'preparar variaveis - documento
docCov$ = movDoc$                                  'codigo formatado
docIde$ = ctuCov$                                  'identificacao
end sub


'-----------------------------------------------------------------------------
'- [TXT] - Listar em modo texto ----------------------------------------------
'-----------------------------------------------------------------------------
Sub Com_Txt_Cab 'cabecalho - texto
FxDiv LstIde,16CPI,0
print TxTit$("TT=10CPI, LD, PT=66C, TL=10CPI",comCabTit$)
?Data: @DataExt                                                                                                       Folha No: @Pag#
?====================================================================================================================================
?  Codigo         Nome                                      Documento               Data     Quantidade          Valor     ARZ   VND        #
'123456789.12345  123456789.123456789.123456789.123456789.  VndF1  123,456/2012  2012/01/01  12,345.123  -123,456,789.12  1234  1234#
?====================================================================================================================================
'print string$(132,"-")
end sub


Sub Com_Txt_LinExe 'executar linha
?@vaEntCov        @vaEntIde                                 @vaMovDoc            @vaMovDtl   @vaMovQu    @vaMovVt       @vaArz@vaVnd#
end sub


Sub Com_Txt_Fim 'terminar
?====================================================================================================================================
?           Totais:              @toNrg                                                      @toMovQu    @toMovVt                   #
?====================================================================================================================================
FxDiv LstPer,SP
'Print PrtCmd$("[SP]");
end sub


'- grupo 1 -------------------------------------------------------------------
Sub Com_Txt_LinTit1 'titulo 1
if titIde$ <> "" then                              'ha titulo ?
   'tmp = CntLin("INC", 1)                          'contar linhas
   'print tab(5) titIde$                            'listar 

   tmp = CntLin("INC", 3)                          'contar linhas
   print string$(132,"-")                          'listar separador
   print tab(5) titIde$                            'listar 
   print string$(132,"-")                          'listar separador
end if

titIde$ = ""                                       'anular titulo
end sub


Sub Com_Txt_LinSbt1 'subtotal 1
nrg = TotCnt("vaEntCov",1)                         'numero de registos

if nrg > 1 then                                    'listar numero ?
?           @vaIdeSbt            @s1Nrg                                                      @s1MovQu    @s1MovVt                   #
   tmp=CntLin("INC", 1)                            'contar linhas
end if

tmp=CntLin("INC", 1)                               'contar linhas
print                                              'separar

x = TotLpz(1)                                      'limpar totais

ideSbt$ = ""                                       'limpar identificador de subtotal
end sub


'- grupo 2 -------------------------------------------------------------------
Sub Com_Txt_LinTit2 'titulo 2
if titIde$ <> "" then                              'ha titulo ?
   tmp = CntLin("INC", 1)                          'contar linhas
   print tab(5) titIde$                            'listar 
end if

titIde$ = ""                                       'anular titulo
end sub


Sub Com_Txt_LinSbt2 'subtotal 2
nrg = TotCnt("vaEntCov",2)                         'numero de registos

if nrg > 1 then                                    'listar numero ?
?           @vaIdeSbt            @s2Nrg                                                      @s2MovQu    @s2MovVt                   #
   tmp=CntLin("INC", 1)                            'contar linhas
end if

sepSbt2 = 1                                        'separar subtotal 2
if sepSbt2 = 1 then                                'separar subtotal 2 ?
   tmp=CntLin("INC", 1)                            'contar linhas
   print                                           'separar
end if

sepSbt2 = 0                                        'nao separar subtotal 2
x = TotLpz(2)                                      'limpar totais

ideSbt$ = ""                                       'limpar identificador de subtotal
end sub


'- grupo 3 -------------------------------------------------------------------
Sub Com_Txt_LinTit3 'titulo 3
if titIde$ <> "" then                              'ha titulo ?
   tmp = CntLin("INC", 1)                          'contar linhas
   print tab(5) titIde$                            'listar 
end if

titIde$ = ""                                       'anular titulo
end sub


Sub Com_Txt_LinSbt3 'subtotal 3
nrg = TotCnt("vaEntCov",3)                         'numero de registos

if nrg > 1 then                                    'listar numero ?
?           @vaIdeSbt            @s3Nrg                                                      @s3MovQu    @s3MovVt                   #
   tmp=CntLin("INC", 1)                            'contar linhas
end if

sepSbt3 = 1                                        'separar subtotal 3
if sepSbt3 = 1 then                                'separar subtotal 3 ?
   tmp=CntLin("INC", 1)                            'contar linhas
   print                                           'separar
end if

sepSbt3 = 0                                        'nao separar subtotal 3
x = TotLpz(3)                                      'limpar totais

ideSbt$ = ""                                       'limpar identificador de subtotal
end sub


'- grupo 4 -------------------------------------------------------------------
Sub Com_Txt_LinTit4 'titulo 4
if titIde$ <> "" then                              'ha titulo ?
   tmp = CntLin("INC", 1)                          'contar linhas
   print tab(5) titIde$                            'listar 
end if

titIde$ = ""                                       'anular titulo
end sub


Sub Com_Txt_LinSbt4 'subtotal 4
nrg = TotCnt("vaEntCov",4)                         'numero de registos

if nrg > 1 then                                    'listar numero ?
?           @vaIdeSbt            @s4Nrg                                                      @s4MovQu    @s4MovVt                   #
   tmp=CntLin("INC", 1)                            'contar linhas
end if

'sepSbt4 = 1                                        'separar subtotal 4
'sepSbt4 = 0                                        'nao separar subtotal 4
if sepSbt4 = 1 then                                'separar subtotal 4 ?
   tmp=CntLin("INC", 1)                            'contar linhas
   print                                           'separar
end if

sepSbt4 = 0                                        'nao separar subtotal 4
x = TotLpz(4)                                      'limpar totais

ideSbt$ = ""                                       'limpar identificador de subtotal
end sub


'------------------------------------------------------------------------------
'- [XLS] - Listar para EXCEL --------------------------------------------------
'------------------------------------------------------------------------------
Sub Com_Xls_DocIni 'inicializar documento
xlsOpcNfi$ = "RND:" + comXlsFic$                   'nome do ficheiro a gerar
xlsOpcWks$ = ""                                    'nome da woorksheet

call XlsComDoc_IniMat                              'inicializar documento por matriz

'preparacao especifica
res = XlsWks("Valores")                            'activar worksheet

'preparar cabecalho
empNum$ = Emp_Inf_Cod$                             'numero da empresa
empNom$ = Emp_Inf_Nome$                            'nome da empresa
lstTit$ = comCabTit$                               'titulo da listagem
lstTip$ = MemTxt$(2)                               'tipo da listagem
lstDt$  = FrmDt$("EXT", Sig_DtHoje)                'data para listagem

res = XlsIdeLst("Emp_Num" , empNum$)               'numero da empresa
res = XlsIdeLst("Emp_Nome", empNom$)               'nome da empresa
res = XlsIdeLst("Lst_Tit" , lstTit$)               'titulo da listagem
res = XlsIdeLst("Lst_Tipo", lstTip$)               'tipo da listagem
res = XlsIdeLst("Lst_Data", lstDt$)                'data

call XlsComLin_Ini                                 'iniciar linhas

'definicao das colunas
coIds    = 3                                       'identificqcao de subtotal
coNrg    = 4                                       'numero de registos

coCod    = 2                                       'codigo
coNom    = 3                                       'nome

coDocTdo = 4                                       'documento - tipo
coDocNdo = 5                                       'documento - numero
coDocDtl = 6                                       'documento - data

coMovQu  = 7                                       'quantidade
coMovVt  = 8                                       'valor

coMovArz = 9                                       'armazem
coMovVnd = 10                                      'vendedor
coMovObs = 11                                      'observacoes
end sub


Sub Com_Xls_DocFim 'terminar documento
'res = XlsWksAct("A", 1)                            'activar worksheet
call XlsComDoc_Fim                                 'terminar/mostrar documento
end sub


Sub Com_Xls_IncLin 'incrementar linha
'call XlsComLin_Inc                                 'incrementar linha
call XlsComLin_IncRep                              'incrementar linha + repor formato normal

'zon$ = XlsZon$(liUsa, coCod,liUsa, coNom)          'zona
'zon$= XlsZonNum$("L", liUsa)                      'zona da linha

zon$ = XlsZon$(liUsa, coCod,liUsa, coDocTdo)       'zona
res = XlsAli(zon$, "<")                            'alinhamento
end sub


Sub Com_Xls_LinSep 'linha de separacao
call XlsVnd_IncLin                                 'incrementar linha
end sub


Sub Com_Xls_LstLinIde 'listar linha - identificacao (codigo e nome)
res = XlsLst(liUsa, coCod, vaCod$)                 'codigo
res = XlsLst(liUsa, coNom, vaNom$)                 'nome
end sub


Sub Com_Xls_LstLinArt 'listar linha - artigo
res = XlsLst(liUsa, coArtCod, artCod$)             'codigo
res = XlsLst(liUsa, coArtNom, artNom$)             'nome
end sub


Sub Com_Xls_LstLinArz 'listar linha - armazem
res = XlsLst(liUsa, coArzCod, arzCod)              'codigo
end sub


Sub Com_Xls_LstLinVnd 'listar linha - vendedor
res = XlsLst(liUsa, coVndCod, vndCod)              'codigo
end sub


Sub Com_Xls_LstLinCtu 'listar linha - conta
res = XlsLst(liUsa, coCtuCod, ctuCod$)             'codigo
res = XlsLst(liUsa, coCtuNom, ctuNom$)             'nome
end sub


Sub Com_Xls_LstLinMov 'listar linha - movimento
'preparar valores
vtxDtl$ = FrmDt$("", docDtl)                       'data
vtxObs$ = ""                                       'observacoes

'listar
res = XlsLst(liUsa, coDocTdo, movTdo$)             'tipo de documento
res = XlsLst(liUsa, coDocNdo, movNdo$)             'numero de documento
res = XlsLst(liUsa, coDocDtl, vtxDtl$)             'data do documento

res = XlsLst(liUsa, coMovQu, movQua)               'quantidade
res = XlsLst(liUsa, coMovVt, movVto)               'valor total

res = XlsLst(liUsa, coMovArz, arzCod)              'armazem
res = XlsLst(liUsa, coMovVnd, vndCod)              'vendedor
res = XlsLst(liUsa, coMovObs, vtxObs$)             'observacoes
'- (52) ------------------------------------------>'Comentario

'acumular valores
res = AcmExe("vaMovQu", movQua)                    'acumular - quantidade
res = AcmExe("vaMovVt", movVto)                    'acumular - valor
end sub


Sub Com_Xls_LstTot 'listar totais
call XlsComLin_Fim                                 'fim de linhas

vNrg   = TotCnt("vaMovQu", 0)                      'numero de registos
vMovQu = Total("vaMovQu", 0)                       'quantidade
vMovVt = Total("vaMovVt", 0)                       'valor

'listar
liUsa = linFim                                     'linha a usar

call XlsComLin_ActBI                               'activar linha em BOLD+ITALICO
res = XlsLst(liUsa, coNrg, vNrg)                   'numero de registos
res = XlsLst(liUsa, coMovQu, vMovQu)               'total quantidade
res = XlsLst(liUsa, coMovVt, vMovVt)               'total valor
end sub


Sub Com_Xls_SbtNrg 'numero de registos do subtotal
res = XlsLst(liUsa, coNrg, vNrg)                   'numero de registos
res = XlsLst(liUsa, coIds, ideSbt$)                'identificar subtotal

'zon$ = XlsZon$(liUsa, coNrg)                       'zona
zon$ = XlsZon$(liUsa, coNom,liUsa, coDocTdo)       'zona
'msgbox "","ALI/NRG",zon$

res = XlsAli(zon$, "|")                            'alinhamento
end sub


'- grupo 1 -------------------------------------------------------------------
Sub Com_Xls_LinTit1 'titulo 1
if titIde$ <> "" then                              'ha titulo ?
   call Com_Xls_IncLin                             'incrementar linha	
   call XlsComLin_ActB                             'activar linha em BOLD

   res = XlsLst(liUsa, coNom, titIde$)             'listar identificacao
end if

titIde$ = ""                                       'anular titulo
end sub


Sub Com_Xls_LinSbt1 'subtotal 1
vNrg   = TotCnt("vaMovQu", 1)                      'numero de registos
vMovQu = Total("vaMovQu", 1)                       'quantidade
vMovVt = Total("vaMovVt", 1)                       'valor

if vNrg > 1 then                                   'listar numero ?
   call Com_Xls_IncLin                             'incrementar linha	
   call XlsComLin_ActBI                            'activar linha em BOLD+ITALICO

   call Com_Xls_SbtNrg                             'numero de registos do subtotal
   res = XlsLst(liUsa, coMovQu, vMovQu)            'total quantidade
   res = XlsLst(liUsa, coMovVt, vMovVt)            'total valor
end if

call Com_Xls_IncLin                                'incrementar linha	

x = TotLpz(1)                                      'limpar totais
ideSbt$ = ""                                       'limpar identificador de subtotal
end sub


'- grupo 2 -------------------------------------------------------------------
Sub Com_Xls_LinTit2 'titulo 2
if titIde$ <> "" then                              'ha titulo ?
   call Com_Xls_IncLin                             'incrementar linha	
   call XlsComLin_ActB                             'activar linha em BOLD

   res = XlsLst(liUsa, coNom, titIde$)             'listar identificacao
end if

titIde$ = ""                                       'anular titulo
end sub


Sub Com_Xls_LinSbt2 'subtotal 2
vNrg   = TotCnt("vaMovQu", 2)                      'numero de registos
vMovQu = Total("vaMovQu", 2)                       'quantidade
vMovVt = Total("vaMovVt", 2)                       'valor

if vNrg > 1 then                                   'listar numero ?
   call Com_Xls_IncLin                             'incrementar linha	
   call XlsComLin_ActBI                            'activar linha em BOLD+ITALICO

   call Com_Xls_SbtNrg                             'numero de registos do subtotal
   res = XlsLst(liUsa, coMovQu, vMovQu)            'total quantidade
   res = XlsLst(liUsa, coMovVt, vMovVt)            'total valor
end if

sepSbt2 = 1                                        'separar subtotal 2
if sepSbt2 = 1 then                                'separar subtotal 2 ?
   call Com_Xls_IncLin                             'incrementar linha	
end if

sepSbt2 = 0                                        'nao separar subtotal 2
x = TotLpz(2)                                      'limpar totais
ideSbt$ = ""                                       'limpar identificador de subtotal
end sub


'- grupo 3 -------------------------------------------------------------------
Sub Com_Xls_LinTit3 'titulo 3
if titIde$ <> "" then                              'ha titulo ?
   call Com_Xls_IncLin                             'incrementar linha	
   call XlsComLin_ActB                             'activar linha em BOLD

   res = XlsLst(liUsa, coNom, titIde$)             'listar identificacao
end if

titIde$ = ""                                       'anular titulo
end sub


Sub Com_Xls_LinSbt3 'subtotal 3
vNrg   = TotCnt("vaMovQu", 3)                      'numero de registos
vMovQu = Total("vaMovQu", 3)                       'quantidade
vMovVt = Total("vaMovVt", 3)                       'valor

if vNrg > 1 then                                   'listar numero ?
   call Com_Xls_IncLin                             'incrementar linha	
   call XlsComLin_ActBI                            'activar linha em BOLD+ITALICO

   call Com_Xls_SbtNrg                             'numero de registos do subtotal
   res = XlsLst(liUsa, coMovQu, vMovQu)            'total quantidade
   res = XlsLst(liUsa, coMovVt, vMovVt)            'total valor
end if

sepSbt3 = 1                                        'separar subtotal 3
if sepSbt3 = 1 then                                'separar subtotal 3 ?
   call Com_Xls_IncLin                             'incrementar linha	
end if

sepSbt3 = 0                                        'nao separar subtotal 3
x = TotLpz(3)                                      'limpar totais
ideSbt$ = ""                                       'limpar identificador de subtotal
end sub


'- grupo 4 -------------------------------------------------------------------
Sub Com_Xls_LinTit4 'titulo 4
if titIde$ <> "" then                              'ha titulo ?
   call Com_Xls_IncLin                             'incrementar linha	
   call XlsComLin_ActB                             'activar linha em BOLD

   res = XlsLst(liUsa, coNom, titIde$)             'listar identificacao
end if

titIde$ = ""                                       'anular titulo
end sub


Sub Com_Xls_LinSbt4 'subtotal 4
vNrg   = TotCnt("vaMovQu", 4)                      'numero de registos
vMovQu = Total("vaMovQu", 4)                       'quantidade
vMovVt = Total("vaMovVt", 4)                       'valor

if vNrg > 1 then                                   'listar numero ?
   call Com_Xls_IncLin                             'incrementar linha	
   call XlsComLin_ActBI                            'activar linha em BOLD+ITALICO

   call Com_Xls_SbtNrg                             'numero de registos do subtotal
   res = XlsLst(liUsa, coMovQu, vMovQu)            'total quantidade
   res = XlsLst(liUsa, coMovVt, vMovVt)            'total valor
end if

if sepSbt4 = 1 then                                'separar subtotal 4 ?
   call Com_Xls_IncLin                             'incrementar linha	
end if

sepSbt4 = 0                                        'nao separar subtotal 4
x = TotLpz(4)                                      'limpar totais
ideSbt$ = ""                                       'limpar identificador de subtotal
end sub


'==============================================================================
'- [TXT] - Listar em modo texto -----------------------------------------------
'==============================================================================
'------------------------------------------------------------------------------
'- [TXT] - Vendas por artigo/conta ------------------------------------------
'------------------------------------------------------------------------------
Sub VndArtCtu_Cab 'cabecalho
comCabTit$ = "Vendas por Artigo/Conta"             'titulo

call Com_Txt_Cab                                   'listar
end sub


Sub VndArtCtu_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis

entCod$ = ctuCod$                                  'entidade - codigo
entCov$ = ctuCov$                                  'entidade - codigo formatado
entIde$ = ctuNom$                                  'entidade - identificacao

call Com_Txt_LinExe                                'executar linha
end sub


Sub VndArtCtu_Fim 'terminar
call Com_Txt_Fim                                   'listar
end sub


Sub VndArtCtu_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArt                                'preparar variaveis - artigo

titIde$ = artIde$                                  'titulo
call Com_Txt_LinTit1                               'listar
end sub


Sub VndArtCtu_LinSbt1 'subtotal 1
ideSbt$ = "Subtotal do artigo"                     'identificacao de subtotal
call Com_Txt_LinSbt1                               'listar
end sub


Sub VndArtCtu_LinTit2 'titulo 2
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpCtu                                'preparar variaveis - conta

titIde$ = ctuIde$                                  'titulo
'call Com_Txt_LinTit2                               'listar
end sub


Sub VndArtCtu_LinSbt2 'subtotal 2
'sepSbt2 = 0                                        'nao separar subtotal 2
ideSbt$ = "Subtotal da conta"                      'identificacao de subtotal
call Com_Txt_LinSbt2                               'listar
end sub


'------------------------------------------------------------------------------
'- [TXT] - Vendas por conta/artigo --------------------------------------------
'------------------------------------------------------------------------------
Sub VndCtuArt_Cab 'cabecalho
comCabTit$ = "Vendas por Conta/Artigo"             'titulo

call Com_Txt_Cab                                   'listar
end sub


Sub VndCtuArt_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis

entCod$ = artCod$                                  'entidade - codigo
entCov$ = artCov$                                  'entidade - codigo formatado
entIde$ = artNom$                                  'entidade - identificacao

call Com_Txt_LinExe                                'executar linha
end sub


Sub VndCtuArt_Fim 'terminar
call Com_Txt_Fim                                   'listar
end sub


Sub VndCtuArt_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpCtu                                'preparar variaveis - conta

titIde$ = ctuIde$                                  'titulo
call Com_Txt_LinTit1                               'listar
end sub


Sub VndCtuArt_LinSbt1 'subtotal 1
ideSbt$ = "Subtotal da conta"                      'identificacao de subtotal
call Com_Txt_LinSbt1                               'listar
end sub


Sub VndCtuArt_LinTit2 'titulo 2
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArt                                'preparar variaveis - artigo

titIde$ = artIde$                                  'titulo
'call Com_Txt_LinTit2                               'listar
end sub


Sub VndCtuArt_LinSbt2 'subtotal 2
'sepSbt2 = 0                                        'nao separar subtotal 2
ideSbt$ = "Subtotal do artigo"                     'identificacao de subtotal
call Com_Txt_LinSbt2                               'listar
end sub


'------------------------------------------------------------------------------
'- [TXT] - Vendas por conta/documento/artigo --------------------------------------------
'------------------------------------------------------------------------------
Sub VndCtuDocArt_Cab 'cabecalho
comCabTit$ = "Vendas por Conta/Doc/Artigo"             'titulo

call Com_Txt_Cab                                   'listar
end sub


Sub VndCtuDocArt_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis

entCod$ = artCod$                                  'entidade - codigo
entCov$ = artCov$                                  'entidade - codigo formatado
entIde$ = artNom$                                  'entidade - identificacao

call Com_Txt_LinExe                                'executar linha
end sub


Sub VndCtuDocArt_Fim 'terminar
call Com_Txt_Fim                                   'listar
end sub


'- grupo 1 -------------------------------------------------------------------
Sub VndCtuDocArt_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpCtu                                'preparar variaveis - conta

titIde$ = ctuIde$                                  'titulo
call Com_Txt_LinTit1                               'listar
end sub


Sub VndCtuDocArt_LinSbt1 'subtotal 1
ideSbt$ = "Subtotal da conta"                      'identificacao de subtotal
call Com_Txt_LinSbt1                               'listar
end sub


'- grupo 2 -------------------------------------------------------------------
Sub VndCtuDocArt_LinTit2 'titulo 2
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpDoc                                'preparar variaveis - documento

titIde$ = docIde$                                  'titulo
'call Com_Txt_LinTit2                               'listar
end sub


Sub VndCtuDocArt_LinSbt2 'subtotal 2
'sepSbt2 = 0                                        'nao separar subtotal 2
ideSbt$ = "Subtotal do tipo de documento"          'identificacao de subtotal
'call Com_Txt_LinSbt2                               'listar
end sub


'- grupo 3 -------------------------------------------------------------------
Sub VndCtuDocArt_LinTit3 'titulo 3
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpNdo                                'preparar variaveis - numero de documento

titIde$ = docIde$                                  'titulo
'call Com_Txt_LinTit3                               'listar
end sub


Sub VndCtuDocArt_LinSbt3 'subtotal 3
'sepSbt3 = 0                                        'nao separar subtotal 3
ideSbt$ = "Subtotal do documento"                  'identificacao de subtotal
call Com_Txt_LinSbt3                               'listar
end sub


'- grupo 4 -------------------------------------------------------------------
Sub VndCtuDocArt_LinTit4 'titulo 4
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArt                                'preparar variaveis - artigo

titIde$ = artIde$                                  'titulo
'call Com_Txt_LinTit4                               'listar
end sub


Sub VndCtuDocArt_LinSbt4 'subtotal 4
'sepSbt4 = 1                                        'separar subtotal 4
sepSbt4 = 0                                        'nao separar subtotal 4

ideSbt$ = "Subtotal do artigo"                     'identificacao de subtotal
call Com_Txt_LinSbt4                               'listar
end sub


'------------------------------------------------------------------------------
'- [TXT] - Vendas por vendedor/conta ------------------------------------------
'------------------------------------------------------------------------------
Sub VndVndCtu_Cab 'cabecalho
comCabTit$ = "Vendas por Vendedor/Conta"           'titulo

call Com_Txt_Cab                                   'listar
end sub


Sub VndVndCtu_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis

entCod$ = ctuCod$                                  'entidade - codigo
entCov$ = ctuCov$                                  'entidade - codigo formatado
entIde$ = ctuNom$                                  'entidade - identificacao

call Com_Txt_LinExe                                'executar linha
end sub


Sub VndVndCtu_Fim 'terminar
call Com_Txt_Fim                                   'listar
end sub


Sub VndVndCtu_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpVnd                                'preparar variaveis - vendedor

titIde$ = vndIde$                                  'titulo
call Com_Txt_LinTit1                               'listar
end sub


Sub VndVndCtu_LinSbt1 'subtotal 1
ideSbt$ = "Subtotal do vendedor"                   'identificacao de subtotal
call Com_Txt_LinSbt1                               'listar
end sub


Sub VndVndCtu_LinTit2 'titulo 2
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpCtu                                'preparar variaveis - conta

titIde$ = ctuIde$                                  'titulo
'call Com_Txt_LinTit2                               'listar
end sub


Sub VndVndCtu_LinSbt2 'subtotal 2
'sepSbt2 = 0                                        'nao separar subtotal 2
ideSbt$ = "Subtotal da conta"                      'identificacao de subtotal
call Com_Txt_LinSbt2                               'listar
end sub


'------------------------------------------------------------------------------
'- [TXT] - Vendas por vendedor/artigo -----------------------------------------
'------------------------------------------------------------------------------
Sub VndVndArt_Cab 'cabecalho
comCabTit$ = "Vendas por Vendedor/Artigo"          'titulo

call Com_Txt_Cab                                   'listar
end sub


Sub VndVndArt_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis

entCod$ = artCod$                                  'entidade - codigo
entCov$ = artCov$                                  'entidade - codigo formatado
entIde$ = artNom$                                  'entidade - identificacao

call Com_Txt_LinExe                                'executar linha
end sub


Sub VndVndArt_Fim 'terminar
call Com_Txt_Fim                                   'listar
end sub


Sub VndVndArt_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpVnd                                'preparar variaveis - vendedor

titIde$ = vndIde$                                  'titulo
call Com_Txt_LinTit1                               'listar
end sub


Sub VndVndArt_LinSbt1 'subtotal 1
ideSbt$ = "Subtotal do vendedor"                   'identificacao de subtotal
call Com_Txt_LinSbt1                               'listar
end sub


Sub VndVndArt_LinTit2 'titulo 2
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArt                                'preparar variaveis - artigo

titIde$ = artIde$                                  'titulo
'call Com_Txt_LinTit2                               'listar
end sub


Sub VndVndArt_LinSbt2 'subtotal 2
'sepSbt2 = 0                                        'nao separar subtotal 2
ideSbt$ = "Subtotal do artigo"                     'identificacao de subtotal
call Com_Txt_LinSbt2                               'listar
end sub


'------------------------------------------------------------------------------
'- [TXT] - Vendas por vendedor/conta/artigo -----------------------------------
'------------------------------------------------------------------------------
Sub VndVndCtuArt_Cab 'cabecalho
comCabTit$ = "Vendas por Vendedor/Conta/Artigo"    'titulo

call Com_Txt_Cab                                   'listar
end sub


Sub VndVndCtuArt_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis

entCod$ = artCod$                                  'entidade - codigo
entCov$ = artCov$                                  'entidade - codigo formatado
entIde$ = artNom$                                  'entidade - identificacao

call Com_Txt_LinExe                                'executar linha
end sub


Sub VndVndCtuArt_Fim 'terminar
call Com_Txt_Fim                                   'listar
end sub


Sub VndVndCtuArt_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpVnd                                'preparar variaveis - vendedor

titIde$ = vndIde$                                  'titulo
call Com_Txt_LinTit1                               'listar
end sub


Sub VndVndCtuArt_LinSbt1 'subtotal 1
ideSbt$ = "Subtotal do vendedor"                   'identificacao de subtotal
call Com_Txt_LinSbt1                               'listar
end sub


Sub VndVndCtuArt_LinTit2 'titulo 2
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpCtu                                'preparar variaveis - conta

titIde$ = ctuIde$                                  'titulo
call Com_Txt_LinTit2                               'listar
end sub


Sub VndVndCtuArt_LinSbt2 'subtotal 2
'sepSbt2 = 0                                        'nao separar subtotal 2
ideSbt$ = "Subtotal da conta"                      'identificacao de subtotal
call Com_Txt_LinSbt2                               'listar
end sub


Sub VndVndCtuArt_LinTit3 'titulo 3
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArt                                'preparar variaveis - artigo

titIde$ = artIde$                                  'titulo
'call Com_Txt_LinTit3                               'listar
end sub


Sub VndVndCtuArt_LinSbt3 'subtotal 3
'sepSbt3 = 0                                        'nao separar subtotal 3
ideSbt$ = "Subtotal do artigo"                     'identificacao de subtotal
call Com_Txt_LinSbt3                               'listar
end sub


'------------------------------------------------------------------------------
'- [TXT] - Vendas por vendedor/artigo/conta -----------------------------------
'------------------------------------------------------------------------------
Sub VndVndArtCtu_Cab 'cabecalho
comCabTit$ = "Vendas por Vendedor/Artigo/Conta"    'titulo

call Com_Txt_Cab                                   'listar
end sub


Sub VndVndArtCtu_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis

entCod$ = ctuCod$                                  'entidade - codigo
entCov$ = ctuCov$                                  'entidade - codigo formatado
entIde$ = ctuNom$                                  'entidade - identificacao

call Com_Txt_LinExe                                'executar linha
end sub


Sub VndVndArtCtu_Fim 'terminar
call Com_Txt_Fim                                   'listar
end sub


Sub VndVndArtCtu_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpVnd                                'preparar variaveis - vendedor

titIde$ = vndIde$                                  'titulo
call Com_Txt_LinTit1                               'listar
end sub


Sub VndVndArtCtu_LinSbt1 'subtotal 1
ideSbt$ = "Subtotal do vendedor"                   'identificacao de subtotal
call Com_Txt_LinSbt1                               'listar
end sub


Sub VndVndArtCtu_LinTit2 'titulo 2
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArt                                'preparar variaveis - artigo

titIde$ = artIde$                                  'titulo
call Com_Txt_LinTit2                               'listar
end sub


Sub VndVndArtCtu_LinSbt2 'subtotal 2
'sepSbt2 = 0                                        'nao separar subtotal 2
ideSbt$ = "Subtotal do artigo"                     'identificacao de subtotal
call Com_Txt_LinSbt2                               'listar
end sub


Sub VndVndArtCtu_LinTit3 'titulo 3
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpCtu                                'preparar variaveis - conta

titIde$ = ctuIde$                                  'titulo
'call Com_Txt_LinTit3                               'listar
end sub


Sub VndVndArtCtu_LinSbt3 'subtotal 3
'sepSbt3 = 0                                        'nao separar subtotal 3
ideSbt$ = "Subtotal da conta"                      'identificacao de subtotal
call Com_Txt_LinSbt3                               'listar
end sub


'==============================================================================
'- [XLS] - Listar para XLS ----------------------------------------------------
'==============================================================================
'------------------------------------------------------------------------------
'- [XLS] - Vendas por artigo/conta --------------------------------------------
'------------------------------------------------------------------------------
Sub XlsVndArtCtu_DocIni 'inicializar documento
comXlsFic$ = "StcLisMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Artigo/Conta"             'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndArtCtu_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndArtCtu_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = ctuCov$                                  'entidade - codigo formatado
vaNom$  = ctuNom$                                  'entidade - identificacao

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinMov                             'listar movimento
end sub


Sub XlsVndArtCtu_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndArtCtu_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArt                                'preparar variaveis - artigo

titIde$ = artIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndArtCtu_LinSbt1 'subtotal 1
ideSbt$ = "Subtotal do artigo"                     'identificacao de subtotal
call Com_Xls_LinSbt1                               'listar
end sub


Sub XlsVndArtCtu_LinTit2 'titulo 2
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpCtu                                'preparar variaveis - conta

titIde$ = ctuIde$                                  'titulo
'call Com_Xls_LinTit2                               'listar
end sub


Sub XlsVndArtCtu_LinSbt2 'subtotal 2
ideSbt$ = "Subtotal da conta"                      'identificacao de subtotal
call Com_Xls_LinSbt2                               'listar
end sub


'------------------------------------------------------------------------------
'- [XLS] - Vendas por conta/artigo --------------------------------------------
'------------------------------------------------------------------------------
Sub XlsVndCtuArt_DocIni 'inicializar documento
comXlsFic$ = "StcLisMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Conta/Artigo"             'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndCtuArt_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndCtuArt_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = artCov$                                  'codigo
vaNom$  = artNom$                                  'nome

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinMov                             'listar movimento
end sub


Sub XlsVndCtuArt_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndCtuArt_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpCtu                                'preparar variaveis - conta

titIde$ = ctuIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndCtuArt_LinSbt1 'subtotal 1
ideSbt$ = "Subtotal da conta"                      'identificacao de subtotal
call Com_Xls_LinSbt1                               'listar
end sub


Sub XlsVndCtuArt_LinTit2 'titulo 2
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArt                                'preparar variaveis - artigo

titIde$ = artIde$                                  'titulo
'call Com_Xls_LinTit2                               'listar
end sub


Sub XlsVndCtuArt_LinSbt2 'subtotal 2
ideSbt$ = "Subtotal do artigo"                     'identificacao de subtotal
call Com_Xls_LinSbt2                               'listar
end sub


'------------------------------------------------------------------------------
'- [XLS] - Vendas por conta/documento/artigo ----------------------------------
'------------------------------------------------------------------------------
Sub XlsVndCtuDocArt_DocIni 'inicializar documento
comXlsFic$ = "StcLisMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Conta/Artigo"             'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndCtuDocArt_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndCtuDocArt_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = artCov$                                  'codigo
vaNom$  = artNom$                                  'nome

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinMov                             'listar movimento
end sub


Sub XlsVndCtuDocArt_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


'- grupo 1 -------------------------------------------------------------------
Sub XlsVndCtuDocArt_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpCtu                                'preparar variaveis - conta

titIde$ = ctuIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndCtuDocArt_LinSbt1 'subtotal 1
ideSbt$ = "Subtotal da conta"                      'identificacao de subtotal
call Com_Xls_LinSbt1                               'listar
end sub


'- grupo 2 -------------------------------------------------------------------
Sub XlsVndCtuDocArt_LinTit2 'titulo 2
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpDoc                                'preparar variaveis - documento

titIde$ = docIde$                                  'titulo
'call Com_Xls_LinTit2                               'listar
end sub


Sub XlsVndCtuDocArt_LinSbt2 'subtotal 2
ideSbt$ = "Subtotal do tipo de documento"          'identificacao de subtotal
call Com_Xls_LinSbt2                               'listar
end sub


'- grupo 3 -------------------------------------------------------------------
Sub XlsVndCtuDocArt_LinTit3 'titulo 3
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpDoc                                'preparar variaveis - documento

titIde$ = ctuIde$                                  'titulo
'call Com_Xls_LinTit3                               'listar
end sub


Sub XlsVndCtuDocArt_LinSbt3 'subtotal 3
ideSbt$ = "Subtotal da documento"                  'identificacao de subtotal
call Com_Xls_LinSbt3                               'listar
end sub


'- grupo 4 -------------------------------------------------------------------
Sub XlsVndCtuDocArt_LinTit4 'titulo 4
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArt                                'preparar variaveis - artigo

titIde$ = artIde$                                  'titulo
'call Com_Xls_LinTit4                               'listar
end sub


Sub XlsVndCtuDocArt_LinSbt4 'subtotal 4
'sepSbt4 = 1                                        'separar subtotal 4
sepSbt4 = 0                                        'nao separar subtotal 4

ideSbt$ = "Subtotal do artigo"                     'identificacao de subtotal
call Com_Xls_LinSbt4                               'listar
end sub


'------------------------------------------------------------------------------
'- [XLS] - Vendas por vendedor/conta ------------------------------------------
'------------------------------------------------------------------------------
Sub XlsVndVndCtu_DocIni 'inicializar documento
comXlsFic$ = "StcLisMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Vendedor/Conta"           'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndVndCtu_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndVndCtu_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = ctuCov$                                  'entidade - codigo formatado
vaNom$  = ctuNom$                                  'entidade - identificacao

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinMov                             'listar movimento
end sub


Sub XlsVndVndCtu_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndVndCtu_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpVnd                                'preparar variaveis - vendedor

titIde$ = vndIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndVndCtu_LinSbt1 'subtotal 1
ideSbt$ = "Subtotal do vendedor"                   'identificacao de subtotal
call Com_Xls_LinSbt1                               'listar
end sub


Sub XlsVndVndCtu_LinTit2 'titulo 2
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpVnd                                'preparar variaveis - vendedor

titIde$ = vndIde$                                  'titulo
'call Com_Xls_LinTit2                               'listar
end sub


Sub XlsVndVndCtu_LinSbt2 'subtotal 2
ideSbt$ = "Subtotal da conta"                      'identificacao de subtotal
call Com_Xls_LinSbt2                               'listar
end sub


'------------------------------------------------------------------------------
'- [XLS] - Vendas por vendedor/artigo -----------------------------------------
'------------------------------------------------------------------------------
Sub XlsVndVndArt_DocIni 'inicializar documento
comXlsFic$ = "StcLisMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Vendedor/Artigo"          'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndVndArt_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndVndArt_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = artCov$                                  'codigo
vaNom$  = artNom$                                  'nome

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinMov                             'listar movimento
end sub


Sub XlsVndVndArt_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndVndArt_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpVnd                                'preparar variaveis - vendedor

titIde$ = vndIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndVndArt_LinSbt1 'subtotal 1
ideSbt$ = "Subtotal do vendedor"                   'identificacao de subtotal
call Com_Xls_LinSbt1                               'listar
end sub


Sub XlsVndVndArt_LinTit2 'titulo 2
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpVnd                                'preparar variaveis - vendedor

titIde$ = vndIde$                                  'titulo
'call Com_Xls_LinTit2                               'listar
end sub


Sub XlsVndVndArt_LinSbt2 'subtotal 2
ideSbt$ = "Subtotal do artigo"                     'identificacao de subtotal
call Com_Xls_LinSbt2                               'listar
end sub


'------------------------------------------------------------------------------
'- [XLS] - Vendas por vendedor/conta/artigo -----------------------------------
'------------------------------------------------------------------------------
Sub XlsVndVndCtuArt_DocIni 'inicializar documento
comXlsFic$ = "StcLisMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Vendedor/Conta/Artigo"    'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndVndCtuArt_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndVndCtuArt_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = artCov$                                  'codigo
vaNom$  = artNom$                                  'nome

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinMov                             'listar movimento
end sub


Sub XlsVndVndCtuArt_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndVndCtuArt_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpVnd                                'preparar variaveis - vendedor

titIde$ = vndIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndVndCtuArt_LinSbt1 'subtotal 1
ideSbt$ = "Subtotal do vendedor"                   'identificacao de subtotal
call Com_Xls_LinSbt1                               'listar
end sub


Sub XlsVndVndCtuArt_LinTit2 'titulo 2
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpCtu                                'preparar variaveis - conta

titIde$ = ctuIde$                                  'titulo
call Com_Xls_LinTit2                               'listar
end sub


Sub XlsVndVndCtuArt_LinSbt2 'subtotal 2
'sepSbt2 = 0                                        'nao separar subtotal 2
ideSbt$ = "Subtotal da conta"                      'identificacao de subtotal
call Com_Xls_LinSbt2                               'listar
end sub


Sub XlsVndVndCtuArt_LinTit3 'titulo 3
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpCtu                                'preparar variaveis - conta

titIde$ = ctuIde$                                  'titulo
'call Com_Xls_LinTit3                               'listar
end sub


Sub XlsVndVndCtuArt_LinSbt3 'subtotal 3
'sepSbt3 = 0                                        'nao separar subtotal 3
ideSbt$ = "Subtotal do artigo"                     'identificacao de subtotal
call Com_Xls_LinSbt3                               'listar
end sub


'------------------------------------------------------------------------------
'- [XLS] - Vendas por vendedor/artigo/conta -----------------------------------
'------------------------------------------------------------------------------
Sub XlsVndVndArtCtu_DocIni 'inicializar documento
comXlsFic$ = "StcLisMov.xls"                       'nome do ficheiro
comCabTit$ = "Vendas por Vendedor/Artigo/Conta"    'titulo

call Com_Xls_DocIni                                'inicializar documento
end sub


Sub XlsVndVndArtCtu_DocFim 'terminar documento
call Com_Xls_DocFim                                'terminar documento
end sub


Sub XlsVndVndArtCtu_Lin 'linha
call Com_Var_Prp                                   'preparar variaveis
call Com_Xls_IncLin                                'incrementar linha	

vaCod$  = ctuCov$                                  'entidade - codigo formatado
vaNom$  = ctuNom$                                  'entidade - identificacao

'listar
call Com_Xls_LstLinIde                             'listar identificacao (codigo e nome)
call Com_Xls_LstLinMov                             'listar movimento
end sub


Sub XlsVndVndArtCtu_Fim 'terminar
call Com_Xls_LstTot                                'listar totais
end sub


Sub XlsVndVndArtCtu_LinTit1 'titulo 1
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpVnd                                'preparar variaveis - vendedor

titIde$ = vndIde$                                  'titulo
call Com_Xls_LinTit1                               'listar
end sub


Sub XlsVndVndArtCtu_LinSbt1 'subtotal 1
ideSbt$ = "Subtotal do vendedor"                   'identificacao de subtotal
call Com_Xls_LinSbt1                               'listar
end sub


Sub XlsVndVndArtCtu_LinTit2 'titulo 2
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArt                                'preparar variaveis - artigo

titIde$ = artIde$                                  'titulo
call Com_Xls_LinTit2                               'listar
end sub


Sub XlsVndVndArtCtu_LinSbt2 'subtotal 2
'sepSbt2 = 0                                        'nao separar subtotal 2
ideSbt$ = "Subtotal do artigo"                     'identificacao de subtotal
call Com_Xls_LinSbt2                               'listar
end sub


Sub XlsVndVndArtCtu_LinTit3 'titulo 3
call Com_Var_Con                                   'consultar variaveis
call Com_Var_PrpArt                                'preparar variaveis - artigo

titIde$ = artIde$                                  'titulo
'call Com_Xls_LinTit3                               'listar
end sub


Sub XlsVndVndArtCtu_LinSbt3 'subtotal 3
'sepSbt2 = 0                                        'nao separar subtotal 3
ideSbt$ = "Subtotal da conta"                      'identificacao de subtotal
call Com_Xls_LinSbt3                               'listar
end sub

##


'==============================================================================
#INC - Funcoes comuns
'==============================================================================
Funcoes comuns                         =[SIG_Dir.Div],LsComPgm.std
Funcoes comuns XLS                     =[SIG_LST_DIR.XLS],XlsCom_Pgm.inc
##
